Description

The decimal format of the table document cells is actually inherited by the gvSIG locale (see #2374).
I'm wondering if it's possible to add an option in Preferences in order to eventually skip this behaviour and restore the old one, e.g.
1234.56789 (using dot as decimal separator and without the thousands separator), based on Anglo-Saxon locales.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2696: Double values pars... Closed 07/21/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2697: InfoByPoint: decim... Closed 07/21/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2591: Double fields appe... Closed 06/24/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2759: Comportamiento ext... Closed 08/03/2014
Related to Application: gvSIG desktop - gvSIG feature requests # 2592: Add a ... Closed 06/24/2014

History
#1 - 07/17/2014 01:45 PM - Antonio Falciano

See also #2221 and #2358.

#2 - 07/22/2014 05:26 AM - Álvaro Anguix
- Related to gvSIG bugs #2696: Double values parsable as integer are shown as integer in table documents added

#3 - 07/22/2014 05:27 AM - Álvaro Anguix
- Related to gvSIG bugs #2697: InfoByPoint: decimal and value separators are the same added

#4 - 07/28/2014 10:45 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano

#5 - 07/28/2014 10:45 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2591: Double fields appear always with precision 3 in tables added

#6 - 09/06/2014 06:08 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2759: Comportamiento extraño con fechas en el documento tabla. added

#7 - 09/06/2014 06:08 PM - Joaquín  del Cerro Murciano
- Related to gvSIG feature requests #2592: Add a precision column in the Table properties added

#8 - 09/08/2014 10:00 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2246-testing

#9 - 09/14/2014 09:55 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#10 - 09/15/2014 03:49 AM - Álvaro Anguix
- Status changed from Fixed to Closed

#11 - 09/16/2014 06:27 AM - Antonio Falciano

I appreciate a lot the efforts of developers in order to make possible to customize the format/pattern in the tables, but this feature request was asking
something different. Consider that a basic user could have serious difficulty to understand what a pattern is. So I would add in the Preferences tree a
new Table entry, where the user can choose the format/pattern he/she likes in a user-friendly way. For instance, there could be the following options:

    -  Default (use the system locale)
    -  No formatter (old way, e.g. 1234.56789)
    -  Custom

Then, under the "Custom" option something like:

    -  Locale (combobox)
    -  Thousands separator (combobox with the values: Yes, No)
    -  Number of decimal digits (textbox)
    -  Date pattern (combobox with all the available date patterns)

The combination of the first three values should define the pattern by code.
